<?php
$loader = $this->registry->get('load');
$loader->controller('payment/payment_address');

class ControllerPaymentYapayPaymentAddress extends ControllerPaymentPaymentAddress
{
    public function validateEmail($error)
    {
        if ((utf8_strlen($this->request->post['email']) > 96) || !preg_match('/^[^\@]+@.*\.[a-z]{2,6}$/i', $this->request->post['email']) || !filter_var($this->request->post['email'], FILTER_VALIDATE_EMAIL) || !preg_match('/^[a-zA-Z0-9\._-]+@/', $this->request->post['email'])) {
            $error['email'] = $this->language->get('error_email');
        }

        return $error;
    }
}